﻿import $ from "jquery";
import { BaseButton } from "./webdav-basebutton";
import { ITHit } from "webdav.client";
import { webDavSettings } from "../webdav-settings";

function HerarhyItemsLockUnlockController(toolbar) {
  this.Toolbar = toolbar;
}

HerarhyItemsLockUnlockController.prototype = {
  /**
   * Lock/Unlock documents.
   * @param {boolean} bLock Indicates if the docs should be locked or unlocked.
   */
  LockUnlockDocs: function (bLock) {
    var filesUrls = [];

    $.each(this.Toolbar.FolderGrid.selectedItems, function () {
      if (!this.IsFolder()) {
        filesUrls.push(this.Href);
      }
    });

    ITHit.WebDAV.Client.DocManager.DavProtocolEditDocument(
      filesUrls,
      this.Toolbar.WebDAV.GetMountUrl(),
      this.Toolbar.WebDAV._ProtocolInstallMessage.bind(this.Toolbar.WebDAV),
      null,
      webDavSettings.EditDocAuth.SearchIn,
      webDavSettings.EditDocAuth.CookieNames,
      webDavSettings.EditDocAuth.LoginUrl,
      bLock ? "Lock" : "Unlock"
    );
  },
};

export function LockUnlockButtonsControl(toolbar) {
  var self = this;
  this.LockButton = new BaseButton("Lock", '<i class="icon icon-lock"></i>');
  this.UnlockButton = new BaseButton(
    "Unlock",
    '<i class="icon icon-unlock"></i>'
  );

  var oHerarhyItemsLockUnlockController = new HerarhyItemsLockUnlockController(
    toolbar,
    this.storedItems
  );

  this.Create = function (tolbarSection) {
    this.LockButton.Create(tolbarSection);
    this.UnlockButton.Create(tolbarSection);
  };

  this.Render = function () {
    this.LockButton.$Button.on("click", function () {
      oHerarhyItemsLockUnlockController.LockUnlockDocs(true);
    });

    this.UnlockButton.$Button.on("click", function () {
      oHerarhyItemsLockUnlockController.LockUnlockDocs(false);
    });
  };
}
