import { createApp } from 'vue'
import "./styles/scss/skin_base/app.scss";
import App from './App.vue'
import { createPinia, setActivePinia } from 'pinia';
import i18n from "./i18n/i18n";
import { WebSocketConnect } from './services/webSocketService';
import router from './router';
const pinia = createPinia();
setActivePinia(pinia);

const app = createApp(App);
app.use(i18n);
app.use(pinia);
app.use(router);

WebSocketConnect();
app.mount('#app');
