import { EditDocAuth } from "./editDocAuth";



export class WebDavSettings {
  static WebsiteRootUrl: string =
    window.webDavSettings && window.webDavSettings.WebDavServerPath
      ? WebDavSettings._getWebsiteRootUrl(
        window.webDavSettings.WebDavServerPath
      )
      : "";
  static WebSocketPath: string =
    window.webDavSettings && window.webDavSettings.WebSocketPath
      ? window.webDavSettings.WebSocketPath
      : "";
  static EditDocAuth: EditDocAuth = {
    Authentication: window.webDavSettings.EditDocAuth.Authentication,
    CookieNames: window.webDavSettings.EditDocAuth.CookieNames,
    SearchIn: window.webDavSettings.EditDocAuth.SearchIn,
    LoginUrl: window.webDavSettings.EditDocAuth.LoginUrl,
  };

  static ApplicationProtocolsPath: string =
    window.webDavSettings && window.webDavSettings.ApplicationProtocolsPath
      ? window.webDavSettings.ApplicationProtocolsPath
      : "";
  static _sliceLastSymbol(str: string, symbol: string) {
    let strVal = str;
    if (strVal) {
      const lastChar = strVal.slice(-1);
      if (lastChar === symbol) {
        strVal = strVal.slice(0, -1);
      }
    }
    return strVal;
  }

  static WebDavServerVersion: string =
    window.webDavSettings && window.webDavSettings.WebDavServerVersion
      ? window.webDavSettings.WebDavServerVersion
      : "";

  static _getWebsiteRootUrl(url: string) {
    if (url && url[0] === "/") {
      return window.location.origin + WebDavSettings._sliceLastSymbol(url, "/");
    }

    if (!url) {
      return window.location.origin;
    }

    return WebDavSettings._sliceLastSymbol(url, "/");
  }
}
