import { createRouter, createWebHistory } from 'vue-router'
import MainContainer from './components/MainContainer.vue';
import { useGridStore } from './stores/gridStore';
import { useUploadStore } from './stores/uploadStore';
const routes = [
  {
    name: "main",
    path: "/:catchAll(.*)",
    component: MainContainer,
  },
];


const router = createRouter({
  history: createWebHistory(),
  routes,
  linkActiveClass: "active",
  linkExactActiveClass: "exact-active",
});

router.beforeEach((_to, _from, next) => {
  const gridStore = useGridStore();
  const uploadStore = useUploadStore();
  if (uploadStore.uploader !== null) {
    uploadStore.uploader.setUploadUrl(gridStore.currentUrl);
  }

  gridStore.refresh();

  next();
});

export default router;